=== debian/changelog ===
db6.0 (6.0.19-3ubuntu1) trusty; urgency=medium

  * Update libtool.m4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2014 14:41:40 +0100

db6.0 (6.0.19-3) unstable; urgency=low

  * Add myself to uploaders.
  * Use /usr/share/dpkg/architecture.mk

  Apply changes from Ubuntu packaging:
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 15:51:15 +0100

db6.0 (6.0.19-2) unstable; urgency=low

  * Fix FTBFS with stricter linker and link libdb6.0-sql with libraries is
    uses (Closes: #712262) (Courtesy of Iain Lane)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 15 Jun 2013 11:41:29 +0200

db6.0 (6.0.19-1) unstable; urgency=low

  * New upstream version 6.0.19
  * Update debian/* package files from 5.1 to 6.0
  * Packaging updates:
    + Update saved_signature for amd64
    + Add saved_signature for i386

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Jun 2013 08:50:23 +0200

db (5.1.29-6) unstable; urgency=low

  * Ensure that backwards compatible Java bytecode is built (Closes: #688138)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Jun 2013 10:27:02 +0200

db (5.1.29-5) unstable; urgency=low

  * Export JAVAC_FLAGS with -source 1.5 -target 1.5 (Closes: #678187)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 11:52:51 +0200

db (5.1.29-4) unstable; urgency=low

  * Remove M-A: foreign from libdb5.1-java, since it was wrong

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:11 +0200

db (5.1.29-3) unstable; urgency=low

  * Reverse dependency between -java and -java-jni package to not break
    our reverse dependencies (Closes: #672463)
  * Suggests instead of Recommends for libdb5.1-java-gcj (Closes: #670664)
  * Explicitly depend on debhelper (>= 9) (Closes: #669991)
  * Fix binNMUability and bump standards to 3.9.3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:04 +0200

db (5.1.29-2) unstable; urgency=low

  * Split libdb5.1-java to arch independent libdb5.1-java and move JNI
    libraries to libdb5.1-java-jni (Closes: #670011)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 10:10:08 +0200

db (5.1.29-1) unstable; urgency=low

  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
  * Update priority of db5.1-util and add missing description of
    db5.1_sql
  * Add git-buildpackage configuration
  * Imported Upstream version 5.1.29

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2011 15:44:35 +0100

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:
    + Convert package build system to debhelper with overrides
    + Move debian/rules to debhelper
    + Remove some obsolete Conflicts
    + Add ${misc:Depends} since we build depend on debhelper now

