=== debian/control ===
Source: db6.0
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
Standards-Version: 3.9.4
# For cross building one also needs tcl8.4:native (ie. such that it
# can be executed to pre-process sqlite3 components).
# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk,
# gcj-native-helper can be dropped
Build-Depends: debhelper (>= 9),
	       autotools-dev (>= 20100122.1),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper,
	       default-jdk,
	       gcj-native-helper
Homepage: http://www.oracle.com/us/products/database/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db6.0.git
Vcs-Git: git://git.debian.org/pkg-db/db6.0.git

Package: db6.0-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v6.0 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 6.0 of Berkeley DB.

Package: libdb6.0-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db6.0-doc
Conflicts: libdb5.1-dev, libdb5.3-dev
Description: Berkeley v6.0 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.

Package: libdb6.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Libraries [runtime]
 This is the runtime package for programs that use the v6.0 Berkeley
 database library.

Package: db6.0-util
Architecture: any
Section: database
Priority: standard
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v6.0 database format, and includes:
  - db6.0_archive: write the pathnames of the log files no longer in use.
  - db6.0_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db6.0_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db6.0_load: loads (and creates) a database from standard input.
  - db6.0_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db6.0_printlog: dump log files in human readable format.
  - db6.0_stat: display statistics for Berkeley DB environments.
  - db6.0_upgrade: upgrades the version of files and the databases they
    contain.
  - db6.0_verify: check the structure of files and their databases.

Package: db6.0-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v6.0 SQL database format, and includes:
  - db6.0_sql: sqlite3 compatible command-line utility

Package: libdb6.0++
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Priority: optional
Description: Berkeley v6.0 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v6.0
 database library.  This is only for programs which use the C++ interface.

Package: libdb6.0++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0++ (= ${binary:Version}),
	 libdb6.0-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb5.1++-dev, libdb5.3++-dev
Description: Berkeley v6.0 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb6.0-tcl
Architecture: any
Section: interpreters
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libdb5.1-tcl, libdb5.3-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v6.0
 databases from within Tcl programs.

Package: libdb6.0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb6.0 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v6.0 database
 libraries and binaries.

Package: libdb6.0-java-jni
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Breaks: libdb6.0-java (<< ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries for Java
 This package provides the Java interface for the Berkeley v6.0 database
 library.

Package: libdb6.0-java
Architecture: all
Section: java
Priority: optional
Depends: libdb6.0-java-jni (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libdb6.0-java-gcj
Description: Berkeley v6.0 Database Libraries for Java
 This package provides the Java interface for the Berkeley v6.0 database
 library.

Package: libdb6.0-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb6.0-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v6.0 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb6.0-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb6.0-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb5.1-java-dev, libdb5.3-java-dev
Description: Berkeley v6.0 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v6.0 database
 library.

Package: libdb6.0-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0-sql (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db6.0-doc
Conflicts: libdb5.1-sql-dev, lidb5.3-sql-dev
Description: Berkeley v6.0 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.

Package: libdb6.0-sql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v6.0 Berkeley
 database SQL library.

Package: libdb6.0-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0-stl (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db6.0-doc
Conflicts: libdb5.1-stl-dev, lidb5.3-stl-dev
Description: Berkeley v6.0 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.

Package: libdb6.0-stl
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v6.0 Berkeley
 database STL library.
